#!/bin/bash
sharedir=${AMK}/share
source utils.sh
#On exit remove tmp files
tmp_files=(tmp*)
trap 'err_report $LINENO' ERR
trap cleanup2 EXIT INT

exe=$(basename $0)
cwd=$PWD
inputfile=amk.dat
##reading HL stuff
read_input
##
i=$1
frm1=$(awk 'BEGIN{npt=0};/Pt /{npt=$2};END{print npt}' $tsdirhl/IRC/ircf_$i.log )
frm2=$(awk 'BEGIN{npt=0};/Pt /{npt=$2};END{print npt}' $tsdirhl/IRC/ircr_$i.log )
if [ $frm1 -le 2 ] || [ $frm2 -le 2 ]; then
   mode=1
else
   mode=2
fi

chkfilef=ircf_$i
chkfiler=ircr_$i
calc=min_irc
if [ $mode -eq 1 ]; then
   get_NM_g09.sh $tsdirhl/$i.log  1 > tmp_geomf_$i
   get_NM_g09.sh $tsdirhl/$i.log -1 > tmp_geomr_$i
else
   get_geom_irc_g09.sh $tsdirhl/IRC/ircf_$i.log > tmp_geomf_$i
   get_geom_irc_g09.sh $tsdirhl/IRC/ircr_$i.log > tmp_geomr_$i
fi
g09_input
echo -e "insert or ignore into gaussian values (NULL,'minf_$i','$ig09minf');\n.quit" | sqlite3 ${tsdirhl}/IRC/inputs.db
echo -e "insert or ignore into gaussian values (NULL,'minr_$i','$ig09minr');\n.quit" | sqlite3 ${tsdirhl}/IRC/inputs.db
###
